Subject: re: Pine with SSL/IMAP

From: Mark Crispin <[email-masked]>
Date: Wed, 14 Mar 2001 11:53:33 -0800 (PST)

On Wed, 14 Mar 2001 14:47:14 -0500 (EST), Matt Soccio wrote:
> I updated Pine to the latest version (4.33) to get the SSL support.  I am
> able to connect to port 143 with Pine, but I am unable to make a useful
> connection over port 993.

Did you build Pine with SSL support?  Unlike the PC Pine binary, the pre-built
UNIX binaries on UW's FTP site are not built with SSL!

> {server:993/user="user"}INBOX
> {server:993/novalidate-cert/user="user"}INBOX

Won't work.  Asks for non-SSL IMAP session on port 993 (SSL IMAP)

> {server/ssl/novalidate-cert/user="user"}INBOX
> {server:993/ssl/novalidate-cert/user="user"}INBOX

Will work with an SSL-built Pine to any SSL IMAP server.

> {server/ssl/user="user"}INBOX
> {server:993/ssl/user="user"}INBOX

Will work with an SSL-built Pine to an SSL IMAP server with certification
authority signed certificates.

> and all of these settings cause Pine to claim that there is an invalid
> remote specification.

That indicates that you're using a non-SSL Pine.

> Does anyone know of a way to get more debug info so that can see more
> of what is going on between pine and imaps?

The fact that the server syslog indicated that no SSL negotiation was ever
attempted, and that you got "invalid remote specification" from Pine should
have suggested to you that maybe something was wrong with Pine.  Indeed
something was, you tried to use SSL with a Pine that didn't have SSL.

> Does the /novalidate-cert qualifier
> work with this version of Pine?

With an SSL-enabled Pine, yes.